Zum Inhalt

Create shippingAgentService

Create a shippingAgentService object in Business Central.

HTTP request

Replace the URL prefix for Business Central depending on environment following the guideline.

POST {businesscentralPrefix}/companies({id})/shippingAgentServicesWebCon

Request headers

Header Value
Authorization Bearer {token}. Required.
Content-Type application/json

Request body

In the request body, supply a JSON representation of shippingAgentServiceWebCon object.

Response

If successful, this method returns 201 Created response code and a shippingAgentService object in the response body.

Example

Request

Here is an example of a request.

POST https://{businesscentralPrefix}/companies({id})/shippingAgentServicesWebCon
Content-type: application/json

{
    "shippingAgentCode": "FLIP",
    "code": "STANDARD",
    "description": "Standardlieferung"
}

Response

Here is an example of the response.

Note

The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.

{
    "id": "472a5037-0a48-ee11-a0d4-e7ca2d5f065c",
    "shippingTime": "",
    "baseCalendarCode": "",
    "shippingAgentCode": "FLIP",
    "code": "STANDARD",
    "description": "Standardlieferung"
}

See also

Tips for working with the APIs
shippingAgentService
Get shippingAgentService
Delete shippingAgentService
Update shippingAgentService